Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::HessianUpdate Class Reference

The HessianUpdate abstract class is used to specify a hessian update scheme. More...

`#include <update.h>`

Inheritance diagram for sc::HessianUpdate:

[legend]
Collaboration diagram for sc::HessianUpdate:

[legend]
List of all members.

## Public Methods

| HessianUpdate ()
| HessianUpdate (StateIn &)
| HessianUpdate (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
virtual | ~HessianUpdate ()
virtual void | update (const RefSymmSCMatrix &hessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)=0
virtual void | set_inverse ()
virtual void | apply_transform (const Ref< NonlinearTransform > &)

## Protected Attributes

int | inverse_hessian_

## Detailed Description

The HessianUpdate abstract class is used to specify a hessian update scheme.

It is used, for example, by QNewtonOpt objects. Based on the value of inverse_hessian_ x and g may be reversed (see Schlegel, Ab initio Methods in Quantum Chemistry I, 1987, p 10).

## Member Function Documentation

void sc::HessianUpdate::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState. Reimplemented in sc::DFPUpdate.

The documentation for this class was generated from the following file:

- update.h